
Portal - Employment  - Bug #1763

Issuing a work visa - the document can be submitted with all fields empty

09/08/2019 04:58 PM - Israa Naser

Status: Fixed Start date: 09/08/2019

Priority: Normal Due date:  

Assignee: Abdelhadi Al-Qudah % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Israa Naser Actual Result: the document is submitted and the

document ID is displayed but with no

report

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category: Issuing a work visa Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: the document should not be submitted

as all mandatory fields are empty

SERVICE_ID: 73

Description

Steps to duplicate:

1- open portal and create a new طلب اصدار تصريح عمل from the list of طلبات العمالة الوافدة

2- fill the captcha code and click the action تحقق

3- click the document action Submit

the document should not be Submitted as all mandatory fields are empty,

but the document is submitted and the document ID is displayed but with no report

History

#1 - 09/08/2019 05:00 PM - Israa Naser

- Description updated

- Expected Result updated

#2 - 09/09/2019 10:28 AM - Safiya Abu musalem

- Status changed from Open to Fixed

- Assignee changed from Safiya Abu musalem to Israa Naser

#the document should not be Submitted as all mandatory fields are empty, (FIXED)

#but the document is submitted and the document ID is displayed but with no report (Waiting For Report to be built)

#3 - 09/09/2019 01:20 PM - Abdelhadi Al-Qudah

- Status changed from Fixed to Feedback

- Assignee changed from Israa Naser to Safiya Abu musalem

Dear Safyieh,

#the document should not be Submitted as all mandatory fields are empty.

Please note that this issue is also reproducible on the (RMPMF 010, RMPMF 039).

And note that we need to add validation for Start and end date for "Passport Date" for the above screen (RMPMF 010, RMPMF 039).
#4 - 09/09/2019 03:44 PM - Safiya Abu musalem

- Status changed from Feedback to Fixed

- Assignee changed from Safiya Abu musalem to Abdelhadi Al-Qudah

#5 - 09/11/2019 12:26 PM - Abdelhadi Al-Qudah

QA Retest Passed.
